Radio

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Radio

Radio is a widget that allows for 1 or more options to be displayed and have the user choose only 1 of them. More...

## Functions
EOAPI void | elm_obj_radio_state_value_set (int value)
| Set the integer value that this radio object represents. More...
EOAPI int | elm_obj_radio_state_value_get (void)
| Get the integer value that this radio object represents. More...
EOAPI void | elm_obj_radio_value_set (int value)
| Set the value of the radio group. More...
EOAPI int | elm_obj_radio_value_get (void)
| Get the value of the radio group. More...
EOAPI void | elm_obj_radio_value_pointer_set (int *valuep)
| Set a convenience pointer to a integer to change when radio group value changes. More...
EOAPI Evas_Object * | elm_obj_radio_selected_object_get (void)
| Get the selected radio object. More...
EOAPI void | elm_obj_radio_group_add (Elm_Radio *group)
| Add this radio to a group of other radio objects. More...
void | elm_radio_state_value_set (Elm_Radio *obj, int value)
| Set the integer value that this radio object represents. More...
int | elm_radio_state_value_get (const Elm_Radio *obj)
| Get the integer value that this radio object represents. More...
void | elm_radio_value_set (Elm_Radio *obj, int value)
| Set the value of the radio group. More...
int | elm_radio_value_get (const Elm_Radio *obj)
| Get the value of the radio group. More...
void | elm_radio_value_pointer_set (Elm_Radio *obj, int *valuep)
| Set a convenience pointer to a integer to change when radio group value changes. More...
Evas_Object * | elm_radio_selected_object_get (const Elm_Radio *obj)
| Get the selected radio object. More...
void | elm_radio_group_add (Elm_Radio *obj, Elm_Radio *group)
| Add this radio to a group of other radio objects. More...
Evas_Object * | elm_radio_add (Evas_Object *parent)
| Add a new radio to the parent. More...

## Detailed Description

Radio is a widget that allows for 1 or more options to be displayed and have the user choose only 1 of them.

A radio object contains an indicator, an optional Label and an optional icon object. While it's possible to have a group of only one radio they, are normally used in groups of 2 or more.

elm_radio objects are grouped in a slightly different, compared to other UI toolkits. There is no seperate group name/id to remember or manage. The members represent the group, there are the group. To make a group, use elm_radio_group_add() and pass existing radio object and the new radio object.

The radio object(s) will select from one of a set of integer values, so any value they are configuring needs to be mapped to a set of integers. To configure what value that radio object represents, use elm_radio_state_value_set() to set the integer it represents. To set the value the whole group(which one is currently selected) is to indicate use elm_radio_value_set() on any group member, and to get the groups value use elm_radio_value_get(). For convenience the radio objects are also able to directly set an integer(int) to the value that is selected. To specify the pointer to this integer to modify, use elm_radio_value_pointer_set(). The radio objects will modify this directly. That implies the pointer must point to valid memory for as long as the radio objects exist.

This widget inherits from the Layout one, so that all the functions acting on it also work for radio objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - This is called when the radio object is selected. If you want to trace the state change of a radio group, you should add this callback to all the radio objects in that group.
- `"focused"` - When the radio has received focus. (since 1.8)
- `"unfocused"` - When the radio has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Default content parts of the radio widget that you can use for are:

- "icon" - An icon of the radio

Default text parts of the radio widget that you can use for are:

- "default" - A label of the radio

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset
- elm_object_disabled_set
- elm_object_disabled_get

Radio example show most of this API in action.

## Function Documentation

EOAPI void elm_obj_radio_group_add | ( | Elm_Radio * | group | ) |

Add this radio to a group of other radio objects.

Radio objects work in groups. Each member should have a different integer value assigned. In order to have them work as a group, they need to know about each other. This adds the given radio object to the group of which the group object indicated is a member.

Parameters

  [in] | group | Any radio object whose group the `obj` is to join.

Referenced by elm_radio_group_add().

EOAPI Evas_Object* elm_obj_radio_selected_object_get | ( | void |  | ) |

Get the selected radio object.

Returns
  The selected radio object

Referenced by elm_radio_selected_object_get().

EOAPI int elm_obj_radio_state_value_get | ( | void |  | ) |

Get the integer value that this radio object represents.

Returns
  The value used if this radio object is selected

This gets the value of the radio.

See also
  elm_radio_value_set()

Referenced by elm_radio_state_value_get().

EOAPI void elm_obj_radio_state_value_set | ( | int | value | ) |

Set the integer value that this radio object represents.

This sets the value of the radio.

Parameters

  [in] | value | The value to use if this radio object is selected

Referenced by elm_radio_state_value_set().

EOAPI int elm_obj_radio_value_get | ( | void |  | ) |

Get the value of the radio group.

Returns
  The integer state

Referenced by elm_radio_value_get().

EOAPI void elm_obj_radio_value_pointer_set | ( | int * | valuep | ) |

Set a convenience pointer to a integer to change when radio group value changes.

This sets a pointer to a integer, that, in addition to the radio objects state will also be modified directly. To stop setting the object pointed to simply use NULL as the `valuep` argument. If valuep is not NULL, then when this is called, the radio objects state will also be modified to reflect the value of the integer valuep points to, just like calling elm_radio_value_set().

Parameters

  [in] | valuep | Pointer to the integer to modify

Referenced by elm_radio_value_pointer_set().

EOAPI void elm_obj_radio_value_set | ( | int | value | ) |

Set the value of the radio group.

This sets the value of the radio group and will also set the value if pointed to, to the value supplied, but will not call any callbacks.

Parameters

  [in] | value | The value to use for the group

Referenced by elm_radio_value_set().

Evas_Object* elm_radio_add | ( | Evas_Object * | parent | ) |

Add a new radio to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_radio_group_add | ( | Elm_Radio * | obj,
|  | Elm_Radio * | group
| ) |  |

Add this radio to a group of other radio objects.

Radio objects work in groups. Each member should have a different integer value assigned. In order to have them work as a group, they need to know about each other. This adds the given radio object to the group of which the group object indicated is a member.

Parameters

  [in] | group | Any radio object whose group the `obj` is to join.

References elm_obj_radio_group_add().

Evas_Object* elm_radio_selected_object_get | ( | const Elm_Radio * | obj | ) |

Get the selected radio object.

Returns
  The selected radio object

References elm_obj_radio_selected_object_get().

int elm_radio_state_value_get | ( | const Elm_Radio * | obj | ) |

Get the integer value that this radio object represents.

Returns
  The value used if this radio object is selected

This gets the value of the radio.

See also
  elm_radio_value_set()

References elm_obj_radio_state_value_get().

void elm_radio_state_value_set | ( | Elm_Radio * | obj,
|  | int | value
| ) |  |

Set the integer value that this radio object represents.

This sets the value of the radio.

Parameters

  [in] | value | The value to use if this radio object is selected

References elm_obj_radio_state_value_set().

int elm_radio_value_get | ( | const Elm_Radio * | obj | ) |

Get the value of the radio group.

Returns
  The integer state

References elm_obj_radio_value_get().

void elm_radio_value_pointer_set | ( | Elm_Radio * | obj,
|  | int * | valuep
| ) |  |

Set a convenience pointer to a integer to change when radio group value changes.

This sets a pointer to a integer, that, in addition to the radio objects state will also be modified directly. To stop setting the object pointed to simply use NULL as the `valuep` argument. If valuep is not NULL, then when this is called, the radio objects state will also be modified to reflect the value of the integer valuep points to, just like calling elm_radio_value_set().

Parameters

  [in] | valuep | Pointer to the integer to modify

References elm_obj_radio_value_pointer_set().

void elm_radio_value_set | ( | Elm_Radio * | obj,
|  | int | value
| ) |  |

Set the value of the radio group.

This sets the value of the radio group and will also set the value if pointed to, to the value supplied, but will not call any callbacks.

Parameters

  [in] | value | The value to use for the group

References elm_obj_radio_value_set().